libnvme(2)

NAME
struct nvme_io_mgmt_send_args - Arguments for the NVMe I/O Management Send command

SYNOPSIS
struct nvme_io_mgmt_send_args {
void *data;
int args_size;
int fd;
__u32 nsid;
__u32 data_len;
__u32 timeout;
__u16 mos;
__u8 mo;
};

Members

data
    Userspace address of the data

args_size
    Size of struct nvme_io_mgmt_send_args

fd  File descriptor of nvme device

nsid
    Namespace identifier

data_len
    Length of data

timeout
    Timeout in ms

mos Management Operation Specific

mo  Management Operation